ServerEvents.recipes(event => {
    event.remove({id: 'undergarden:catalyst'})
    event.remove({id: 'undergarden:smelt_catalyst'})
    event.remove({id: 'undergarden:blast_catalyst'})
})

ServerEvents.recipes(event => {
    //Catalyst
    event.custom({
        "type": "extendedcrafting:shaped_table",
        "pattern": [
          "ABCBA",
          "BADAB",
          "CDEDC",
          "BADAB",
          "ABCBA"
        ],
        "key": {
          "A": {
            "item": "mekanism_extras:alloy_spectrum"
          },
          "B": {
            "item": "naturesaura:depth_ingot"
          },
          "C": {
            "item": "mekanism:hdpe_rod"
          },
          "D": {
            "item": "aquamirae:abyssal_amethyst"
          },
          "E": {
            "type": "forge:nbt",
            "item": "extendedcrafting:singularity",
            "count": 1,
            "nbt": "{Id:\"extendedcrafting:heart_of_the_deep\"}"
          }
        },
        "result": {
          "item": "undergarden:catalyst"
        }
      }).id('undergarden:catalyst')
})